//
//  BannerObject.swift
//  yandextest
//
//  Created by ben on 7/30/20.
//  Copyright © 2020 espiru. All rights reserved.
//

import Foundation
import IGListKit
import YandexMobileAds

final class BannerObject: NSObject {

    var banner: YMAAdView?

    init(banner: YMAAdView?) {
        super.init()

        self.banner = banner
    }
}

extension BannerObject: ListDiffable {

    func diffIdentifier() -> NSObjectProtocol {
        return self
    }

    func isEqual(toDiffableObject object: ListDiffable?) -> Bool {
        return self === object ? true : self.isEqual(object)
    }
}
