//
//  ContentObject.swift
//  yandextest
//
//  Created by ben on 7/30/20.
//  Copyright © 2020 espiru. All rights reserved.
//

import Foundation
import IGListKit

final class ContentObject: NSObject {

    var content: String?

    init(content: String?) {
        super.init()

        self.content = content
    }
}

extension ContentObject: ListDiffable {

    func diffIdentifier() -> NSObjectProtocol {
        return self
    }

    func isEqual(toDiffableObject object: ListDiffable?) -> Bool {
        return self === object ? true : self.isEqual(object)
    }
}
